mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(true) System.Runtime.Remoting.Metadata.SoapType(Embedded=true) To be added

Carries error and status information within a SOAP message. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with default values.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, setting the properties to specified values.

  The fault code for the new instance of . The fault code identifies the type of the fault that occurred.
  The fault string for the new instance of . The fault string provides a human readable explanation of the fault.
  The URI of the object that generated the fault.
  The description of a common language runtime exception. This information is also present in the property.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  The detail element carries application specific error information related to the Body element of a SOAP message.

  Gets or sets additional information required for the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The property provides information about the cause of the fault within the message path.

  Gets or sets the fault actor for the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The fault code element provides an algorithmic mechanism to identify the fault.

  Gets or sets the fault code for the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The fault string element provides a human readable explanation of the fault and is not intended for algorithmic processing.

  Gets or sets the fault message for the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Populates the specified with the data to serialize the object.

  The to populate with data. The destination (see ) for the current serialization.